/*
  utils/cpp のメソッドがコンパイルできるかのテスト
  Satofumi KAMIMURA
  $Id: CompileTest.cpp 286 2008-10-20 09:40:22Z satofumi $
*/

#include "CompileTest.h"
#include "serialDevice.h"
#include "tcpipDevice.h"
#include "timeUtils.h"
#include "fileUtils.h"
#include "coordinateTypes.h"


CPPUNIT_TEST_SUITE_REGISTRATION(CompileTest);
CPPUNIT_TEST_SUITE_NAMED_REGISTRATION(CompileTest, "CompileTest");


void CompileTest::compileTest(void) {
  ConnectionDevice& sci_con = *new SerialDevice();
  sci_con.disconnect();

  ConnectionDevice& tcp_con = *new TcpipDevice();
  tcp_con.disconnect();

  VXV::Delay(0);
  VXV::deg(0);
}
